LX Container Debian leere Console

knaddle

New Member
Jul 26, 2020
7
0
1
31
Hallo,

nachdem ich einen LX mit aktuellen Templates erstelle bleibt die Konsole leer.

Screenshot.JPG
MFG
 

knaddle

New Member
Jul 26, 2020
7
0
1
31
Ist das nicht die neuste Version?

Beim Update sagt er:
Code:
Err:4 https://enterprise.proxmox.com/debian/pve buster InRelease
Läuft sonst ohne Aktualisierung durch. Das System wurde vor zwei Tagen aufgesetzt, genausoviel Erfahrung habe ich damit.
 

knaddle

New Member
Jul 26, 2020
7
0
1
31
Habe die sources.list angepasst. Hier stand bei mir
Code:
deb http://ftp.de.debian.org/debian buster main contrib

deb http://ftp.de.debian.org/debian buster-updates main contrib

# security updates
deb http://security.debian.org buster/updates main contrib
statt

Code:
deb http://deb.debian.org/debian buster main contrib

deb http://deb.debian.org/debian buster-updates main contrib

# security updates
deb http://security.debian.org buster/updates main contrib
Nachfolgende Fehler erscheinen:

Code:
root@prx:~# nano /etc/apt/sources.list
root@prx:~# cat /etc/apt/sources.list.d/pve-enterprise.list
deb https://enterprise.proxmox.com/debian/pve buster pve-enterprise
root@prx:~# apt update
Get:1 http://deb.debian.org/debian buster InRelease [122 kB]
Hit:2 http://security.debian.org buster/updates InRelease                                     
Get:3 http://deb.debian.org/debian buster-updates InRelease [51.9 kB]                         
Get:4 http://deb.debian.org/debian buster/main amd64 Packages [7,906 kB] 
Err:5 https://enterprise.proxmox.com/debian/pve buster InRelease                         
  401  Unauthorized [IP: 212.224.123.70 443]
Get:6 http://deb.debian.org/debian buster/main Translation-en [5,968 kB]                 
Get:7 http://deb.debian.org/debian buster/contrib amd64 Packages [50.5 kB]
Get:8 http://deb.debian.org/debian buster/contrib Translation-en [44.5 kB]
Get:9 http://deb.debian.org/debian buster-updates/main amd64 Packages [7,868 B]
Get:10 http://deb.debian.org/debian buster-updates/main Translation-en [5,672 B]
Reading package lists... Done                                     
E: Failed to fetch https://enterprise.proxmox.com/debian/pve/dists/buster/InRelease  401  Unauthorized [IP: 212.224.123.70 443]
E: The repository 'https://enterprise.proxmox.com/debian/pve buster InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
root@prx:~# cat /etc/apt/sources.list.d/pve-enterprise.list
deb https://enterprise.proxmox.com/debian/pve buster pve-enterprise
root@prx:~#
 

Arvyr

Member
Nov 29, 2019
33
3
8
33
Storkow (Mark)
Du musst das Enterprise Repository auskommentieren wenn du keine Subscription hast und nutzen möchtest.
Dies befindet sich in einer eigenen Datei:

Bash:
nano  /etc/apt/sources.list.d/pve-enterprise.list
    # deb https://enterprise.proxmox.com/debian/pve buster pve-enterprise
In der normalen sources.list kommt noch folgendes hinzu:

Bash:
deb http://download.proxmox.com/debian/pve/ buster pve-no-subscription
Es empfiehlt sich den PGP-Key herunterzuladen:

Bash:
wget http://download.proxmox.com/debian/proxmox-ve-release-6.x.gpg -O /etc/apt/trusted.gpg.d/proxmox-ve-release-6.x.gpg
Damit solltest du das aktuellste bekommen.
 

knaddle

New Member
Jul 26, 2020
7
0
1
31
Update hat geklappt, Danke! Problem mit Debian LXC besteht weiterhin (siehe angefügtes Bild).

Code:
:~# pveversion -v
proxmox-ve: 6.2-1 (running kernel: 5.4.44-2-pve)
pve-manager: 6.2-10 (running version: 6.2-10/a20769ed)
pve-kernel-5.4: 6.2-4
pve-kernel-helper: 6.2-4
pve-kernel-5.4.44-2-pve: 5.4.44-2
pve-kernel-5.4.34-1-pve: 5.4.34-2
ceph-fuse: 12.2.11+dfsg1-2.1+b1
corosync: 3.0.4-pve1
criu: 3.11-3
glusterfs-client: 5.5-3
ifupdown: 0.8.35+pve1
ksm-control-daemon: 1.3-1
libjs-extjs: 6.0.1-10
libknet1: 1.16-pve1
libproxmox-acme-perl: 1.0.4
libpve-access-control: 6.1-2
libpve-apiclient-perl: 3.0-3
libpve-common-perl: 6.1-5
libpve-guest-common-perl: 3.1-1
libpve-http-server-perl: 3.0-6
libpve-storage-perl: 6.2-5
libqb0: 1.0.5-1
libspice-server1: 0.14.2-4~pve6+1
lvm2: 2.03.02-pve4
lxc-pve: 4.0.2-1
lxcfs: 4.0.3-pve3
novnc-pve: 1.1.0-1
proxmox-mini-journalreader: 1.1-1
proxmox-widget-toolkit: 2.2-9
pve-cluster: 6.1-8
pve-container: 3.1-12
pve-docs: 6.2-5
pve-edk2-firmware: 2.20200531-1
pve-firewall: 4.1-2
pve-firmware: 3.1-1
pve-ha-manager: 3.0-9
pve-i18n: 2.1-3
pve-qemu-kvm: 5.0.0-11
pve-xtermjs: 4.3.0-1
qemu-server: 6.2-11
smartmontools: 7.1-pve2
spiceterm: 3.1-1
vncterm: 1.6-1
zfsutils-linux: 0.8.4-pve1
 

Attachments

LnxBil

Famous Member
Feb 21, 2015
5,358
577
133
Germany
Update hat geklappt, Danke! Problem mit Debian LXC besteht weiterhin (siehe angefügtes Bild).
Mit pct enter reingehen und schauen was die getties machen: ps auxf | grep getty

Habe es eben mal mit dem aktuellen Stretch-Image nachgestellt und funktioniert prima:

1596337397111.png
 

knaddle

New Member
Jul 26, 2020
7
0
1
31
Es scheint nun zu funktionieren, ich muss nachdem die Konsole geöffnet ist Enter drücken.
Dies hatte vorher keinen Effekt...

Danke!
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE and Proxmox Mail Gateway. We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!